/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}
body {
  /* Margin bottom by footer height */
  padding-bottom: 252px;
}
.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  /* Set the fixed height of the footer here */
  height: 252;
  background-color: #f5f5f5;
}


/* Custom page CSS
-------------------------------------------------- */

/* Not required for template or sticky footer method. */
.inner_pages {
  .footer {
    border-top: solid 1px #e9e2d0;
  }
}
.footer {
  padding: 0;
  // .container {
  //   border-left: 1px solid red;
  //   border-right: 1px solid red;
  // }
  .footer_top {
    background-color: #ffffff;
    padding: 45px 0 40px;
  }
  .footer_bottom {
    background-color: #2a2a2a;
    p {
      color: #ffffff;
      float: left;
      font-size: 11px;
      line-height: 1.3;
      margin: 0;
      padding: 16px 0 18px;
      width: 50%;
    }
  }
  .footer_col {
    .img-wrap {
      display: block;
      float: left;
      padding-left: 5px;
      img {
        float: left;
        max-width: 100%;
      }
    }
    h2 {
      color: $secondary-color;
      float: left;
      font-size: 14px;
      font-weight: 600;
      letter-spacing: 1px;
      line-height: 1.3;
      margin-bottom: 18px;
      text-transform: uppercase;
      width: 100%;
    }
    ul {
      float: left;
      width: auto;
      li {
        float: left;
      }
    }
    .link_contnt, .follow_contnt {
      display: inline-block;
      margin-top: 16px;
    }
    .link_contnt {
      padding-left: 85px;
    }
    .follow_contnt {
      h2 {
        margin-bottom: 8px;
      }
    }
    .links {
      padding-right: 114px;
      
      &:nth-child(2) {
        padding-right: 78px;        
      }
      &:nth-child(3) {
        padding-right: 93px;
      }
      &:last-child {
        padding-right: 0;
      }
      li {
        clear: both;
        display: block;
        margin-bottom: 7px;
        width: auto;
        // &:nth-child(2), &:nth-child(5), &:nth-child(6) {
        //   width: 23%;
        // }
        &.active {
          a {
            color: $primary-color;
            text-decoration: underline;
          }          
        }
        a {
          color: $secondary-color;
          display: inline-block;
          font-size: 14px;
          font-weight: 600;
          position: relative;
          &:hover, &:focus {
            color: $primary-color;
            text-decoration: underline;
          }
        }
      }
    }
    .social_links {
      float: right;
      max-width: 110px;
      li {
        display: inline-block;
        margin-bottom: 7px;
        margin-right: 12px;
        &:nth-child(3), &:nth-child(6) {
          margin-right: 0;
        }
        .socialBtns {
          background-color: rgba(0,0,0,0);
          background-position: 0 0;
          background-repeat: no-repeat;
          background-size: 100% auto;
          display: block;
          float: left;
          height: 28px;
          overflow: hidden;
          position: relative;
          text-indent: 100px;
          width: 28px;
          &:hover, &:focus {
            background-position: bottom left;
          }
          &.tw {
            background-image: url('../images/social_icon-tweeter.png');
            @include image-2x("../images/social_icon-tweeter@2x.png", 100%, auto);
          } 
          &.gmail {
            background-image: url('../images/social_icon-googleplus.png');
            @include image-2x("../images/social_icon-googleplus@2x.png", 100%, auto);
          }  
          &.link {
            background-image: url('../images/social_icon-lnkin.png');
            @include image-2x("../images/social_icon-lnkin@2x.png", 100%, auto);
          } 
          &.fb {
            background-image: url('../images/social_icon-fb.png');
            @include image-2x("../images/social_icon-fb@2x.png", 100%, auto);
          }   
          &.inst {
            background-image: url('../images/social_icon-insta.png');
            @include image-2x("../images/social_icon-insta@2x.png", 100%, auto);
          } 
          &.yutub {
            background-image: url('../images/social_icon-youtube.png');
            @include image-2x("../images/social_icon-youtube@2x.png", 100%, auto);
          }       
        }
      }
    }
  }
}

/*  ----------------------------------------------------------------------------------
    Responsive Style Starts here
----------------------------------------------------------------------------------- */

@include breakpoint(xlarge) {         // 1199px
  .footer {
    .footer_col {
      .links {
        padding-right: 70px;    
        &:nth-child(3) {
          padding-right: 70px;      
        }
        &:nth-child(2) {
          padding-right: 60px;      
        }
      }
    }
  }
}

@include breakpoint(medium) {         // 1199px
  .footer {
    .footer_col {
      .link_contnt {
        padding-left: 20px;    
      }
      .links, .links:nth-child(3), .links:nth-child(2) {
        padding-right: 20px;    
      }
    }
  }
}

@include breakpoint(small) {         // 767px
  body {
    padding-bottom: 0;
  }
  .footer {
    position: relative;
    .footer_top {
      padding: 20px 0 15px;
    }
    .footer_col {
      .follow_contnt {
        padding: 0 15px;
        text-align: center;
        width: 100%;
      }
      .social_links {
        display: inline-block;
        float: none;
        max-width: initial;
        li {
          margin-bottom: 0;
        }
        li:nth-child(3), li:nth-child(6) {
          margin-right: 12px;
        }
      }
    }
  }
}

@media screen and (max-width: 580px) {
  .footer {
    .footer_top {
      .container > .row > div {
        text-align: center;
        width: 100%;
      }
    }
    .footer_col {
      .img-wrap {
        display: inline-block;
        float: none;
        padding: 0;
      }
      .link_contnt {
        margin-top: 30px;
        padding: 0;
        width: 100%;
      }
      .links, .links:nth-child(3), .links:nth-child(2) {
        display: inline-block;
        float: none;
      }
    }
  }
}

@media screen and (max-width: 400px) {
  .footer {
    .footer_col {
      .link_contnt {
        padding: 0 15px;
        .links li {
          text-align: center;
          width: 100%;   
          a {
            font-weight: 400;        
          }  
        }
      }
      .links, .links:nth-child(3), .links:nth-child(2) {
        padding: 0;
        width: 100%;
      }
    }
    .footer_bottom {
      padding: 10px 15px;
      p {
        padding: 3px 0;
        text-align: center;
        width: 100%;   
      }
    }
  }
}

/*  ----------------------------------------------------------------------------------
    Responsive Style Ends here
----------------------------------------------------------------------------------- */